## InfcProgressRequest InfcProgressRequest — Asynchronous request with dynamic progress. |

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | infc_progress_request_initiated ()
gboolean | infc_progress_request_get_initiated ()
void | infc_progress_request_progress ()

## Properties

guint | current | Read
guint | total | Read

## Types and Values

struct | InfcProgressRequest
struct | InfcProgressRequestClass

## Object Hierarchy

        GObject
        ╰── InfcRequest
            ╰── InfcProgressRequest

## Implemented Interfaces

InfcProgressRequest implements InfRequest.

## Includes

    #include <libinfinity/client/infc-progress-request.h>

## Description

This class represents a request which consists of multiple steps and for which progress on the overall operation is reported.

## Functions

### infc_progress_request_initiated ()

    void
    infc_progress_request_initiated (InfcProgressRequest *request,
                                     guint total);

Initiates the request. A progress request is considered initiated as soon as the total number of items is known.

#### Parameters

request | An InfcProgressRequest. |
total | The total number of items. |

### infc_progress_request_get_initiated ()

    gboolean
    infc_progress_request_get_initiated (InfcProgressRequest *request);

Returns whether the request was initiated, i.e. the total number of items is known.

#### Parameters

request | A InfcProgressRequest. |

#### Returns

Whether the request was initiated.

### infc_progress_request_progress ()

    void
    infc_progress_request_progress (InfcProgressRequest *request);

Indicates that one more operation has been performed and changes the “current” property accordingly. The request must be initiated before this function can be called.

#### Parameters

request | A InfcProgressRequest. |

## Types and Values

### struct InfcProgressRequest

    struct InfcProgressRequest;

InfcProgressRequest is an opaque data type. You should only access it via the public API functions.

### struct InfcProgressRequestClass

    struct InfcProgressRequestClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“current”` property

      “current”                  guint

The current number of finished operations.

Flags: Read

Default value: 0

### The `“total”` property

      “total”                    guint

The total number of operations.

Flags: Read

Default value: 0

## See Also

InfcRequest, InfcBrowser